<?xml version="1.0" encoding="iso-8859-1"?>
<!DOCTYPE html PUBLIC "-//W3C//DTD XHTML 1.0 Transitional//EN"
    "http://www.w3.org/TR/xhtml1/DTD/xhtml1-transitional.dtd">
<html xmlns="http://www.w3.org/1999/xhtml" lang="en">
<!-- XRef/xref33.html -->
<!-- this view was generated by XRef -->
<head>
<meta content="text/html; charset=iso-8859-1" http-equiv="Content-Type"/>
<title >Synopsis - Cross Reference : Synopsis::TypeAnalysis::Type::name&#40;&#41;const - Synopsis::is_digit&#40;char&#41;</title>
<link href="../style.css" type="text/css" rel="stylesheet" />
</head>
<body class="XRef">
<div class="navigation">
<span class="normal"><a href="../Scopes/global.html" >Global Namespace</a></span>
<span class="normal"><a href="../InheritanceTree.html" >Inheritance Tree</a></span>
<span class="normal"><a href="../InheritanceGraph.html" >Inheritance Graph</a></span>
<span class="normal"><a href="../NameIndex.html" >Name Index</a></span>
</div>
<h1 >Cross Reference : Synopsis::TypeAnalysis::Type::name&#40;&#41;const - Synopsis::is_digit&#40;char&#41;</h1><div class="xref-name"><a id="Synopsis_mTypeAnalysis_mType_mname_l_rconst" /><h2 >Member function Synopsis::TypeAnalysis::Type::name&#40;&#41;const</h2><ul>
<li><a href="../Scopes/Synopsis/TypeAnalysis/Type.html#name_l_rconst" >Documentation</a></li><li>Defined at:
<ul>
<li><a href="../Source/Synopsis/TypeAnalysis/Type.hh.html#25">Synopsis/TypeAnalysis/Type.hh:25</a>: in class <a href="../Scopes/Synopsis/TypeAnalysis/Type.html" >Synopsis::TypeAnalysis::Type</a></li>
</ul></li>
</ul>
</div><div class="xref-name"><a id="Synopsis_mTypeAnalysis_mType_mref_l_rconst" /><h2 >Member function Synopsis::TypeAnalysis::Type::ref&#40;&#41;const</h2><ul>
<li><a href="../Scopes/Synopsis/TypeAnalysis/Type.html#ref_l_rconst" >Documentation</a></li><li>Defined at:
<ul>
<li><a href="../Source/Synopsis/TypeAnalysis/Type.hh.html#27">Synopsis/TypeAnalysis/Type.hh:27</a>: in class <a href="../Scopes/Synopsis/TypeAnalysis/Type.html" >Synopsis::TypeAnalysis::Type</a></li>
</ul></li>
</ul>
</div><div class="xref-name"><a id="Synopsis_mTypeAnalysis_mType_m_tType_l_r" /><h2 >Destructor Synopsis::TypeAnalysis::Type::~Type&#40;&#41;</h2><ul>
<li><a href="../Scopes/Synopsis/TypeAnalysis/Type.html#_tType_l_r" >Documentation</a></li><li>Defined at:
<ul>
<li><a href="../Source/Synopsis/TypeAnalysis/Type.hh.html#24">Synopsis/TypeAnalysis/Type.hh:24</a>: in class <a href="../Scopes/Synopsis/TypeAnalysis/Type.html" >Synopsis::TypeAnalysis::Type</a></li>
</ul></li>
</ul>
</div><div class="xref-name"><a id="Synopsis_mTypeAnalysis_mTypeEvaluator" /><h2 >Class Synopsis::TypeAnalysis::TypeEvaluator</h2><ul>
<li><a href="../Scopes/Synopsis/TypeAnalysis/TypeEvaluator.html" >Documentation</a></li><li>Defined at:
<ul>
<li><a href="../Source/Synopsis/TypeAnalysis/TypeEvaluator.hh.html#22">Synopsis/TypeAnalysis/TypeEvaluator.hh:22</a>: in class <a href="../Scopes/Synopsis/TypeAnalysis/TypeEvaluator.html" >Synopsis::TypeAnalysis::TypeEvaluator</a></li>
</ul></li>
<li>Referenced from:
<ul>
<li><a href="../Source/Synopsis/TypeAnalysis/TypeEvaluator.hh.html#60">Synopsis/TypeAnalysis/TypeEvaluator.hh:60</a>: in Synopsis::TypeAnalysis::type_of&#40;const PTree</li>
</ul></li>
<li>Declarations:
<ul>
<li ><a href="../Source/Synopsis/TypeAnalysis/TypeEvaluator.hh.html#25">Synopsis/TypeAnalysis/TypeEvaluator.hh:25</a>: Constructor <a href="../Scopes/Synopsis/TypeAnalysis/TypeEvaluator.html#TypeEvaluator_lconst.SymbolLookup_mScope_S_r" >TypeEvaluator&#40;const SymbolLookup::Scope*&#41;</a></li><li ><a href="../Source/Synopsis/TypeAnalysis/TypeEvaluator.hh.html#26">Synopsis/TypeAnalysis/TypeEvaluator.hh:26</a>: Member function <a href="../Scopes/Synopsis/TypeAnalysis/TypeEvaluator.html#evaluate_lconst.PTree_mNode_S_r" >evaluate&#40;const PTree::Node*&#41;</a></li><li ><a href="../Source/Synopsis/TypeAnalysis/TypeEvaluator.hh.html#29">Synopsis/TypeAnalysis/TypeEvaluator.hh:29</a>: Member function <a href="../Scopes/Synopsis/TypeAnalysis/TypeEvaluator.html#visit_lPTree_mLiteral_S_r" >visit&#40;PTree::Literal*&#41;</a></li><li ><a href="../Source/Synopsis/TypeAnalysis/TypeEvaluator.hh.html#30">Synopsis/TypeAnalysis/TypeEvaluator.hh:30</a>: Member function <a href="../Scopes/Synopsis/TypeAnalysis/TypeEvaluator.html#visit_lPTree_mIdentifier_S_r" >visit&#40;PTree::Identifier*&#41;</a></li><li ><a href="../Source/Synopsis/TypeAnalysis/TypeEvaluator.hh.html#31">Synopsis/TypeAnalysis/TypeEvaluator.hh:31</a>: Member function <a href="../Scopes/Synopsis/TypeAnalysis/TypeEvaluator.html#visit_lPTree_mKwd_mThis_S_r" >visit&#40;PTree::Kwd::This*&#41;</a></li><li ><a href="../Source/Synopsis/TypeAnalysis/TypeEvaluator.hh.html#32">Synopsis/TypeAnalysis/TypeEvaluator.hh:32</a>: Member function <a href="../Scopes/Synopsis/TypeAnalysis/TypeEvaluator.html#visit_lPTree_mName_S_r" >visit&#40;PTree::Name*&#41;</a></li><li ><a href="../Source/Synopsis/TypeAnalysis/TypeEvaluator.hh.html#33">Synopsis/TypeAnalysis/TypeEvaluator.hh:33</a>: Member function <a href="../Scopes/Synopsis/TypeAnalysis/TypeEvaluator.html#visit_lPTree_mFstyleCastExpr_S_r" >visit&#40;PTree::FstyleCastExpr*&#41;</a></li><li ><a href="../Source/Synopsis/TypeAnalysis/TypeEvaluator.hh.html#34">Synopsis/TypeAnalysis/TypeEvaluator.hh:34</a>: Member function <a href="../Scopes/Synopsis/TypeAnalysis/TypeEvaluator.html#visit_lPTree_mAssignExpr_S_r" >visit&#40;PTree::AssignExpr*&#41;</a></li><li ><a href="../Source/Synopsis/TypeAnalysis/TypeEvaluator.hh.html#35">Synopsis/TypeAnalysis/TypeEvaluator.hh:35</a>: Member function <a href="../Scopes/Synopsis/TypeAnalysis/TypeEvaluator.html#visit_lPTree_mCondExpr_S_r" >visit&#40;PTree::CondExpr*&#41;</a></li><li ><a href="../Source/Synopsis/TypeAnalysis/TypeEvaluator.hh.html#36">Synopsis/TypeAnalysis/TypeEvaluator.hh:36</a>: Member function <a href="../Scopes/Synopsis/TypeAnalysis/TypeEvaluator.html#visit_lPTree_mInfixExpr_S_r" >visit&#40;PTree::InfixExpr*&#41;</a></li><li ><a href="../Source/Synopsis/TypeAnalysis/TypeEvaluator.hh.html#37">Synopsis/TypeAnalysis/TypeEvaluator.hh:37</a>: Member function <a href="../Scopes/Synopsis/TypeAnalysis/TypeEvaluator.html#visit_lPTree_mPmExpr_S_r" >visit&#40;PTree::PmExpr*&#41;</a></li><li ><a href="../Source/Synopsis/TypeAnalysis/TypeEvaluator.hh.html#38">Synopsis/TypeAnalysis/TypeEvaluator.hh:38</a>: Member function <a href="../Scopes/Synopsis/TypeAnalysis/TypeEvaluator.html#visit_lPTree_mCastExpr_S_r" >visit&#40;PTree::CastExpr*&#41;</a></li><li ><a href="../Source/Synopsis/TypeAnalysis/TypeEvaluator.hh.html#39">Synopsis/TypeAnalysis/TypeEvaluator.hh:39</a>: Member function <a href="../Scopes/Synopsis/TypeAnalysis/TypeEvaluator.html#visit_lPTree_mUnaryExpr_S_r" >visit&#40;PTree::UnaryExpr*&#41;</a></li><li ><a href="../Source/Synopsis/TypeAnalysis/TypeEvaluator.hh.html#40">Synopsis/TypeAnalysis/TypeEvaluator.hh:40</a>: Member function <a href="../Scopes/Synopsis/TypeAnalysis/TypeEvaluator.html#visit_lPTree_mThrowExpr_S_r" >visit&#40;PTree::ThrowExpr*&#41;</a></li><li ><a href="../Source/Synopsis/TypeAnalysis/TypeEvaluator.hh.html#41">Synopsis/TypeAnalysis/TypeEvaluator.hh:41</a>: Member function <a href="../Scopes/Synopsis/TypeAnalysis/TypeEvaluator.html#visit_lPTree_mSizeofExpr_S_r" >visit&#40;PTree::SizeofExpr*&#41;</a></li><li ><a href="../Source/Synopsis/TypeAnalysis/TypeEvaluator.hh.html#42">Synopsis/TypeAnalysis/TypeEvaluator.hh:42</a>: Member function <a href="../Scopes/Synopsis/TypeAnalysis/TypeEvaluator.html#visit_lPTree_mTypeidExpr_S_r" >visit&#40;PTree::TypeidExpr*&#41;</a></li><li ><a href="../Source/Synopsis/TypeAnalysis/TypeEvaluator.hh.html#43">Synopsis/TypeAnalysis/TypeEvaluator.hh:43</a>: Member function <a href="../Scopes/Synopsis/TypeAnalysis/TypeEvaluator.html#visit_lPTree_mTypeofExpr_S_r" >visit&#40;PTree::TypeofExpr*&#41;</a></li><li ><a href="../Source/Synopsis/TypeAnalysis/TypeEvaluator.hh.html#44">Synopsis/TypeAnalysis/TypeEvaluator.hh:44</a>: Member function <a href="../Scopes/Synopsis/TypeAnalysis/TypeEvaluator.html#visit_lPTree_mNewExpr_S_r" >visit&#40;PTree::NewExpr*&#41;</a></li><li ><a href="../Source/Synopsis/TypeAnalysis/TypeEvaluator.hh.html#45">Synopsis/TypeAnalysis/TypeEvaluator.hh:45</a>: Member function <a href="../Scopes/Synopsis/TypeAnalysis/TypeEvaluator.html#visit_lPTree_mDeleteExpr_S_r" >visit&#40;PTree::DeleteExpr*&#41;</a></li><li ><a href="../Source/Synopsis/TypeAnalysis/TypeEvaluator.hh.html#46">Synopsis/TypeAnalysis/TypeEvaluator.hh:46</a>: Member function <a href="../Scopes/Synopsis/TypeAnalysis/TypeEvaluator.html#visit_lPTree_mArrayExpr_S_r" >visit&#40;PTree::ArrayExpr*&#41;</a></li><li ><a href="../Source/Synopsis/TypeAnalysis/TypeEvaluator.hh.html#47">Synopsis/TypeAnalysis/TypeEvaluator.hh:47</a>: Member function <a href="../Scopes/Synopsis/TypeAnalysis/TypeEvaluator.html#visit_lPTree_mFuncallExpr_S_r" >visit&#40;PTree::FuncallExpr*&#41;</a></li><li ><a href="../Source/Synopsis/TypeAnalysis/TypeEvaluator.hh.html#48">Synopsis/TypeAnalysis/TypeEvaluator.hh:48</a>: Member function <a href="../Scopes/Synopsis/TypeAnalysis/TypeEvaluator.html#visit_lPTree_mPostfixExpr_S_r" >visit&#40;PTree::PostfixExpr*&#41;</a></li><li ><a href="../Source/Synopsis/TypeAnalysis/TypeEvaluator.hh.html#49">Synopsis/TypeAnalysis/TypeEvaluator.hh:49</a>: Member function <a href="../Scopes/Synopsis/TypeAnalysis/TypeEvaluator.html#visit_lPTree_mDotMemberExpr_S_r" >visit&#40;PTree::DotMemberExpr*&#41;</a></li><li ><a href="../Source/Synopsis/TypeAnalysis/TypeEvaluator.hh.html#50">Synopsis/TypeAnalysis/TypeEvaluator.hh:50</a>: Member function <a href="../Scopes/Synopsis/TypeAnalysis/TypeEvaluator.html#visit_lPTree_mArrowMemberExpr_S_r" >visit&#40;PTree::ArrowMemberExpr*&#41;</a></li><li ><a href="../Source/Synopsis/TypeAnalysis/TypeEvaluator.hh.html#51">Synopsis/TypeAnalysis/TypeEvaluator.hh:51</a>: Member function <a href="../Scopes/Synopsis/TypeAnalysis/TypeEvaluator.html#visit_lPTree_mParenExpr_S_r" >visit&#40;PTree::ParenExpr*&#41;</a></li><li ><a href="../Source/Synopsis/TypeAnalysis/TypeEvaluator.hh.html#53">Synopsis/TypeAnalysis/TypeEvaluator.hh:53</a>: Data member <a href="../Scopes/Synopsis/TypeAnalysis/TypeEvaluator.html#my_scope" >my_scope</a></li><li ><a href="../Source/Synopsis/TypeAnalysis/TypeEvaluator.hh.html#54">Synopsis/TypeAnalysis/TypeEvaluator.hh:54</a>: Data member <a href="../Scopes/Synopsis/TypeAnalysis/TypeEvaluator.html#my_type" >my_type</a></li></ul>
</li>
</ul>
</div><div class="xref-name"><a id="Synopsis_mTypeAnalysis_mTypeEvaluator_mTypeEvaluator_lconst.SymbolLookup_mScope_S_r" /><h2 >Synopsis::TypeAnalysis::TypeEvaluator::TypeEvaluator&#40;const SymbolLookup::Scope*&#41;</h2><ul>
<li>Defined at:
<ul>
<li><a href="../Source/Synopsis/TypeAnalysis/TypeEvaluator.hh.html#25">Synopsis/TypeAnalysis/TypeEvaluator.hh:25</a>: in class <a href="../Scopes/Synopsis/TypeAnalysis/TypeEvaluator.html" >Synopsis::TypeAnalysis::TypeEvaluator</a></li>
</ul></li>
</ul>
</div><div class="xref-name"><a id="Synopsis_mTypeAnalysis_mTypeEvaluator_mevaluate_lconst.PTree_mNode_S_r" /><h2 >Synopsis::TypeAnalysis::TypeEvaluator::evaluate&#40;const PTree::Node*&#41;</h2><ul>
<li>Defined at:
<ul>
<li><a href="../Source/Synopsis/TypeAnalysis/TypeEvaluator.hh.html#26">Synopsis/TypeAnalysis/TypeEvaluator.hh:26</a>: in class <a href="../Scopes/Synopsis/TypeAnalysis/TypeEvaluator.html" >Synopsis::TypeAnalysis::TypeEvaluator</a></li>
</ul></li>
<li>Called from:
<ul>
<li><a href="../Source/Synopsis/TypeAnalysis/TypeEvaluator.hh.html#61">Synopsis/TypeAnalysis/TypeEvaluator.hh:61</a>: in Synopsis::TypeAnalysis::type_of&#40;const PTree</li>
</ul></li>
</ul>
</div><div class="xref-name"><a id="Synopsis_mTypeAnalysis_mTypeEvaluator_mmy_scope" /><h2 >Data member Synopsis::TypeAnalysis::TypeEvaluator::my_scope</h2><ul>
<li><a href="../Scopes/Synopsis/TypeAnalysis/TypeEvaluator.html#my_scope" >Documentation</a></li><li>Defined at:
<ul>
<li><a href="../Source/Synopsis/TypeAnalysis/TypeEvaluator.hh.html#53">Synopsis/TypeAnalysis/TypeEvaluator.hh:53</a>: in class <a href="../Scopes/Synopsis/TypeAnalysis/TypeEvaluator.html" >Synopsis::TypeAnalysis::TypeEvaluator</a></li>
</ul></li>
</ul>
</div><div class="xref-name"><a id="Synopsis_mTypeAnalysis_mTypeEvaluator_mmy_type" /><h2 >Data member Synopsis::TypeAnalysis::TypeEvaluator::my_type</h2><ul>
<li><a href="../Scopes/Synopsis/TypeAnalysis/TypeEvaluator.html#my_type" >Documentation</a></li><li>Defined at:
<ul>
<li><a href="../Source/Synopsis/TypeAnalysis/TypeEvaluator.hh.html#54">Synopsis/TypeAnalysis/TypeEvaluator.hh:54</a>: in class <a href="../Scopes/Synopsis/TypeAnalysis/TypeEvaluator.html" >Synopsis::TypeAnalysis::TypeEvaluator</a></li>
</ul></li>
</ul>
</div><div class="xref-name"><a id="Synopsis_mTypeAnalysis_mTypeEvaluator_mvisit_lPTree_mArrayExpr_S_r" /><h2 >Synopsis::TypeAnalysis::TypeEvaluator::visit&#40;PTree::ArrayExpr*&#41;</h2><ul>
<li>Defined at:
<ul>
<li><a href="../Source/Synopsis/TypeAnalysis/TypeEvaluator.hh.html#46">Synopsis/TypeAnalysis/TypeEvaluator.hh:46</a>: in class <a href="../Scopes/Synopsis/TypeAnalysis/TypeEvaluator.html" >Synopsis::TypeAnalysis::TypeEvaluator</a></li>
</ul></li>
</ul>
</div><div class="xref-name"><a id="Synopsis_mTypeAnalysis_mTypeEvaluator_mvisit_lPTree_mArrowMemberExpr_S_r" /><h2 >Synopsis::TypeAnalysis::TypeEvaluator::visit&#40;PTree::ArrowMemberExpr*&#41;</h2><ul>
<li>Defined at:
<ul>
<li><a href="../Source/Synopsis/TypeAnalysis/TypeEvaluator.hh.html#50">Synopsis/TypeAnalysis/TypeEvaluator.hh:50</a>: in class <a href="../Scopes/Synopsis/TypeAnalysis/TypeEvaluator.html" >Synopsis::TypeAnalysis::TypeEvaluator</a></li>
</ul></li>
</ul>
</div><div class="xref-name"><a id="Synopsis_mTypeAnalysis_mTypeEvaluator_mvisit_lPTree_mAssignExpr_S_r" /><h2 >Synopsis::TypeAnalysis::TypeEvaluator::visit&#40;PTree::AssignExpr*&#41;</h2><ul>
<li>Defined at:
<ul>
<li><a href="../Source/Synopsis/TypeAnalysis/TypeEvaluator.hh.html#34">Synopsis/TypeAnalysis/TypeEvaluator.hh:34</a>: in class <a href="../Scopes/Synopsis/TypeAnalysis/TypeEvaluator.html" >Synopsis::TypeAnalysis::TypeEvaluator</a></li>
</ul></li>
</ul>
</div><div class="xref-name"><a id="Synopsis_mTypeAnalysis_mTypeEvaluator_mvisit_lPTree_mCastExpr_S_r" /><h2 >Synopsis::TypeAnalysis::TypeEvaluator::visit&#40;PTree::CastExpr*&#41;</h2><ul>
<li>Defined at:
<ul>
<li><a href="../Source/Synopsis/TypeAnalysis/TypeEvaluator.hh.html#38">Synopsis/TypeAnalysis/TypeEvaluator.hh:38</a>: in class <a href="../Scopes/Synopsis/TypeAnalysis/TypeEvaluator.html" >Synopsis::TypeAnalysis::TypeEvaluator</a></li>
</ul></li>
</ul>
</div><div class="xref-name"><a id="Synopsis_mTypeAnalysis_mTypeEvaluator_mvisit_lPTree_mCondExpr_S_r" /><h2 >Synopsis::TypeAnalysis::TypeEvaluator::visit&#40;PTree::CondExpr*&#41;</h2><ul>
<li>Defined at:
<ul>
<li><a href="../Source/Synopsis/TypeAnalysis/TypeEvaluator.hh.html#35">Synopsis/TypeAnalysis/TypeEvaluator.hh:35</a>: in class <a href="../Scopes/Synopsis/TypeAnalysis/TypeEvaluator.html" >Synopsis::TypeAnalysis::TypeEvaluator</a></li>
</ul></li>
</ul>
</div><div class="xref-name"><a id="Synopsis_mTypeAnalysis_mTypeEvaluator_mvisit_lPTree_mDeleteExpr_S_r" /><h2 >Synopsis::TypeAnalysis::TypeEvaluator::visit&#40;PTree::DeleteExpr*&#41;</h2><ul>
<li>Defined at:
<ul>
<li><a href="../Source/Synopsis/TypeAnalysis/TypeEvaluator.hh.html#45">Synopsis/TypeAnalysis/TypeEvaluator.hh:45</a>: in class <a href="../Scopes/Synopsis/TypeAnalysis/TypeEvaluator.html" >Synopsis::TypeAnalysis::TypeEvaluator</a></li>
</ul></li>
</ul>
</div><div class="xref-name"><a id="Synopsis_mTypeAnalysis_mTypeEvaluator_mvisit_lPTree_mDotMemberExpr_S_r" /><h2 >Synopsis::TypeAnalysis::TypeEvaluator::visit&#40;PTree::DotMemberExpr*&#41;</h2><ul>
<li>Defined at:
<ul>
<li><a href="../Source/Synopsis/TypeAnalysis/TypeEvaluator.hh.html#49">Synopsis/TypeAnalysis/TypeEvaluator.hh:49</a>: in class <a href="../Scopes/Synopsis/TypeAnalysis/TypeEvaluator.html" >Synopsis::TypeAnalysis::TypeEvaluator</a></li>
</ul></li>
</ul>
</div><div class="xref-name"><a id="Synopsis_mTypeAnalysis_mTypeEvaluator_mvisit_lPTree_mFstyleCastExpr_S_r" /><h2 >Synopsis::TypeAnalysis::TypeEvaluator::visit&#40;PTree::FstyleCastExpr*&#41;</h2><ul>
<li>Defined at:
<ul>
<li><a href="../Source/Synopsis/TypeAnalysis/TypeEvaluator.hh.html#33">Synopsis/TypeAnalysis/TypeEvaluator.hh:33</a>: in class <a href="../Scopes/Synopsis/TypeAnalysis/TypeEvaluator.html" >Synopsis::TypeAnalysis::TypeEvaluator</a></li>
</ul></li>
</ul>
</div><div class="xref-name"><a id="Synopsis_mTypeAnalysis_mTypeEvaluator_mvisit_lPTree_mFuncallExpr_S_r" /><h2 >Synopsis::TypeAnalysis::TypeEvaluator::visit&#40;PTree::FuncallExpr*&#41;</h2><ul>
<li>Defined at:
<ul>
<li><a href="../Source/Synopsis/TypeAnalysis/TypeEvaluator.hh.html#47">Synopsis/TypeAnalysis/TypeEvaluator.hh:47</a>: in class <a href="../Scopes/Synopsis/TypeAnalysis/TypeEvaluator.html" >Synopsis::TypeAnalysis::TypeEvaluator</a></li>
</ul></li>
</ul>
</div><div class="xref-name"><a id="Synopsis_mTypeAnalysis_mTypeEvaluator_mvisit_lPTree_mIdentifier_S_r" /><h2 >Synopsis::TypeAnalysis::TypeEvaluator::visit&#40;PTree::Identifier*&#41;</h2><ul>
<li>Defined at:
<ul>
<li><a href="../Source/Synopsis/TypeAnalysis/TypeEvaluator.hh.html#30">Synopsis/TypeAnalysis/TypeEvaluator.hh:30</a>: in class <a href="../Scopes/Synopsis/TypeAnalysis/TypeEvaluator.html" >Synopsis::TypeAnalysis::TypeEvaluator</a></li>
</ul></li>
</ul>
</div><div class="xref-name"><a id="Synopsis_mTypeAnalysis_mTypeEvaluator_mvisit_lPTree_mInfixExpr_S_r" /><h2 >Synopsis::TypeAnalysis::TypeEvaluator::visit&#40;PTree::InfixExpr*&#41;</h2><ul>
<li>Defined at:
<ul>
<li><a href="../Source/Synopsis/TypeAnalysis/TypeEvaluator.hh.html#36">Synopsis/TypeAnalysis/TypeEvaluator.hh:36</a>: in class <a href="../Scopes/Synopsis/TypeAnalysis/TypeEvaluator.html" >Synopsis::TypeAnalysis::TypeEvaluator</a></li>
</ul></li>
</ul>
</div><div class="xref-name"><a id="Synopsis_mTypeAnalysis_mTypeEvaluator_mvisit_lPTree_mKwd_mThis_S_r" /><h2 >Synopsis::TypeAnalysis::TypeEvaluator::visit&#40;PTree::Kwd::This*&#41;</h2><ul>
<li>Defined at:
<ul>
<li><a href="../Source/Synopsis/TypeAnalysis/TypeEvaluator.hh.html#31">Synopsis/TypeAnalysis/TypeEvaluator.hh:31</a>: in class <a href="../Scopes/Synopsis/TypeAnalysis/TypeEvaluator.html" >Synopsis::TypeAnalysis::TypeEvaluator</a></li>
</ul></li>
</ul>
</div><div class="xref-name"><a id="Synopsis_mTypeAnalysis_mTypeEvaluator_mvisit_lPTree_mLiteral_S_r" /><h2 >Synopsis::TypeAnalysis::TypeEvaluator::visit&#40;PTree::Literal*&#41;</h2><ul>
<li>Defined at:
<ul>
<li><a href="../Source/Synopsis/TypeAnalysis/TypeEvaluator.hh.html#29">Synopsis/TypeAnalysis/TypeEvaluator.hh:29</a>: in class <a href="../Scopes/Synopsis/TypeAnalysis/TypeEvaluator.html" >Synopsis::TypeAnalysis::TypeEvaluator</a></li>
</ul></li>
</ul>
</div><div class="xref-name"><a id="Synopsis_mTypeAnalysis_mTypeEvaluator_mvisit_lPTree_mName_S_r" /><h2 >Synopsis::TypeAnalysis::TypeEvaluator::visit&#40;PTree::Name*&#41;</h2><ul>
<li>Defined at:
<ul>
<li><a href="../Source/Synopsis/TypeAnalysis/TypeEvaluator.hh.html#32">Synopsis/TypeAnalysis/TypeEvaluator.hh:32</a>: in class <a href="../Scopes/Synopsis/TypeAnalysis/TypeEvaluator.html" >Synopsis::TypeAnalysis::TypeEvaluator</a></li>
</ul></li>
</ul>
</div><div class="xref-name"><a id="Synopsis_mTypeAnalysis_mTypeEvaluator_mvisit_lPTree_mNewExpr_S_r" /><h2 >Synopsis::TypeAnalysis::TypeEvaluator::visit&#40;PTree::NewExpr*&#41;</h2><ul>
<li>Defined at:
<ul>
<li><a href="../Source/Synopsis/TypeAnalysis/TypeEvaluator.hh.html#44">Synopsis/TypeAnalysis/TypeEvaluator.hh:44</a>: in class <a href="../Scopes/Synopsis/TypeAnalysis/TypeEvaluator.html" >Synopsis::TypeAnalysis::TypeEvaluator</a></li>
</ul></li>
</ul>
</div><div class="xref-name"><a id="Synopsis_mTypeAnalysis_mTypeEvaluator_mvisit_lPTree_mParenExpr_S_r" /><h2 >Synopsis::TypeAnalysis::TypeEvaluator::visit&#40;PTree::ParenExpr*&#41;</h2><ul>
<li>Defined at:
<ul>
<li><a href="../Source/Synopsis/TypeAnalysis/TypeEvaluator.hh.html#51">Synopsis/TypeAnalysis/TypeEvaluator.hh:51</a>: in class <a href="../Scopes/Synopsis/TypeAnalysis/TypeEvaluator.html" >Synopsis::TypeAnalysis::TypeEvaluator</a></li>
</ul></li>
</ul>
</div><div class="xref-name"><a id="Synopsis_mTypeAnalysis_mTypeEvaluator_mvisit_lPTree_mPmExpr_S_r" /><h2 >Synopsis::TypeAnalysis::TypeEvaluator::visit&#40;PTree::PmExpr*&#41;</h2><ul>
<li>Defined at:
<ul>
<li><a href="../Source/Synopsis/TypeAnalysis/TypeEvaluator.hh.html#37">Synopsis/TypeAnalysis/TypeEvaluator.hh:37</a>: in class <a href="../Scopes/Synopsis/TypeAnalysis/TypeEvaluator.html" >Synopsis::TypeAnalysis::TypeEvaluator</a></li>
</ul></li>
</ul>
</div><div class="xref-name"><a id="Synopsis_mTypeAnalysis_mTypeEvaluator_mvisit_lPTree_mPostfixExpr_S_r" /><h2 >Synopsis::TypeAnalysis::TypeEvaluator::visit&#40;PTree::PostfixExpr*&#41;</h2><ul>
<li>Defined at:
<ul>
<li><a href="../Source/Synopsis/TypeAnalysis/TypeEvaluator.hh.html#48">Synopsis/TypeAnalysis/TypeEvaluator.hh:48</a>: in class <a href="../Scopes/Synopsis/TypeAnalysis/TypeEvaluator.html" >Synopsis::TypeAnalysis::TypeEvaluator</a></li>
</ul></li>
</ul>
</div><div class="xref-name"><a id="Synopsis_mTypeAnalysis_mTypeEvaluator_mvisit_lPTree_mSizeofExpr_S_r" /><h2 >Synopsis::TypeAnalysis::TypeEvaluator::visit&#40;PTree::SizeofExpr*&#41;</h2><ul>
<li>Defined at:
<ul>
<li><a href="../Source/Synopsis/TypeAnalysis/TypeEvaluator.hh.html#41">Synopsis/TypeAnalysis/TypeEvaluator.hh:41</a>: in class <a href="../Scopes/Synopsis/TypeAnalysis/TypeEvaluator.html" >Synopsis::TypeAnalysis::TypeEvaluator</a></li>
</ul></li>
</ul>
</div><div class="xref-name"><a id="Synopsis_mTypeAnalysis_mTypeEvaluator_mvisit_lPTree_mThrowExpr_S_r" /><h2 >Synopsis::TypeAnalysis::TypeEvaluator::visit&#40;PTree::ThrowExpr*&#41;</h2><ul>
<li>Defined at:
<ul>
<li><a href="../Source/Synopsis/TypeAnalysis/TypeEvaluator.hh.html#40">Synopsis/TypeAnalysis/TypeEvaluator.hh:40</a>: in class <a href="../Scopes/Synopsis/TypeAnalysis/TypeEvaluator.html" >Synopsis::TypeAnalysis::TypeEvaluator</a></li>
</ul></li>
</ul>
</div><div class="xref-name"><a id="Synopsis_mTypeAnalysis_mTypeEvaluator_mvisit_lPTree_mTypeidExpr_S_r" /><h2 >Synopsis::TypeAnalysis::TypeEvaluator::visit&#40;PTree::TypeidExpr*&#41;</h2><ul>
<li>Defined at:
<ul>
<li><a href="../Source/Synopsis/TypeAnalysis/TypeEvaluator.hh.html#42">Synopsis/TypeAnalysis/TypeEvaluator.hh:42</a>: in class <a href="../Scopes/Synopsis/TypeAnalysis/TypeEvaluator.html" >Synopsis::TypeAnalysis::TypeEvaluator</a></li>
</ul></li>
</ul>
</div><div class="xref-name"><a id="Synopsis_mTypeAnalysis_mTypeEvaluator_mvisit_lPTree_mTypeofExpr_S_r" /><h2 >Synopsis::TypeAnalysis::TypeEvaluator::visit&#40;PTree::TypeofExpr*&#41;</h2><ul>
<li>Defined at:
<ul>
<li><a href="../Source/Synopsis/TypeAnalysis/TypeEvaluator.hh.html#43">Synopsis/TypeAnalysis/TypeEvaluator.hh:43</a>: in class <a href="../Scopes/Synopsis/TypeAnalysis/TypeEvaluator.html" >Synopsis::TypeAnalysis::TypeEvaluator</a></li>
</ul></li>
</ul>
</div><div class="xref-name"><a id="Synopsis_mTypeAnalysis_mTypeEvaluator_mvisit_lPTree_mUnaryExpr_S_r" /><h2 >Synopsis::TypeAnalysis::TypeEvaluator::visit&#40;PTree::UnaryExpr*&#41;</h2><ul>
<li>Defined at:
<ul>
<li><a href="../Source/Synopsis/TypeAnalysis/TypeEvaluator.hh.html#39">Synopsis/TypeAnalysis/TypeEvaluator.hh:39</a>: in class <a href="../Scopes/Synopsis/TypeAnalysis/TypeEvaluator.html" >Synopsis::TypeAnalysis::TypeEvaluator</a></li>
</ul></li>
</ul>
</div><div class="xref-name"><a id="Synopsis_mTypeAnalysis_mUCHAR" /><h2 >Namespace variable Synopsis::TypeAnalysis::UCHAR</h2><ul>
<li><a href="../Scopes/Synopsis/TypeAnalysis.html#UCHAR" >Documentation</a></li><li>Defined at:
<ul>
<li><a href="../Source/Synopsis/TypeAnalysis/Type.hh.html#53">Synopsis/TypeAnalysis/Type.hh:53</a>: in namespace <a href="../Scopes/Synopsis/TypeAnalysis.html" >Synopsis::TypeAnalysis</a></li>
</ul></li>
</ul>
</div><div class="xref-name"><a id="Synopsis_mTypeAnalysis_mUINT" /><h2 >Namespace variable Synopsis::TypeAnalysis::UINT</h2><ul>
<li><a href="../Scopes/Synopsis/TypeAnalysis.html#UINT" >Documentation</a></li><li>Defined at:
<ul>
<li><a href="../Source/Synopsis/TypeAnalysis/Type.hh.html#55">Synopsis/TypeAnalysis/Type.hh:55</a>: in namespace <a href="../Scopes/Synopsis/TypeAnalysis.html" >Synopsis::TypeAnalysis</a></li>
</ul></li>
</ul>
</div><div class="xref-name"><a id="Synopsis_mTypeAnalysis_mULONG" /><h2 >Namespace variable Synopsis::TypeAnalysis::ULONG</h2><ul>
<li><a href="../Scopes/Synopsis/TypeAnalysis.html#ULONG" >Documentation</a></li><li>Defined at:
<ul>
<li><a href="../Source/Synopsis/TypeAnalysis/Type.hh.html#56">Synopsis/TypeAnalysis/Type.hh:56</a>: in namespace <a href="../Scopes/Synopsis/TypeAnalysis.html" >Synopsis::TypeAnalysis</a></li>
</ul></li>
</ul>
</div><div class="xref-name"><a id="Synopsis_mTypeAnalysis_mUSHORT" /><h2 >Namespace variable Synopsis::TypeAnalysis::USHORT</h2><ul>
<li><a href="../Scopes/Synopsis/TypeAnalysis.html#USHORT" >Documentation</a></li><li>Defined at:
<ul>
<li><a href="../Source/Synopsis/TypeAnalysis/Type.hh.html#54">Synopsis/TypeAnalysis/Type.hh:54</a>: in namespace <a href="../Scopes/Synopsis/TypeAnalysis.html" >Synopsis::TypeAnalysis</a></li>
</ul></li>
</ul>
</div><div class="xref-name"><a id="Synopsis_mTypeAnalysis_mUnion" /><h2 >Class Synopsis::TypeAnalysis::Union</h2><ul>
<li><a href="../Scopes/Synopsis/TypeAnalysis/Union.html" >Documentation</a></li><li>Defined at:
<ul>
<li><a href="../Source/Synopsis/TypeAnalysis/Type.hh.html#87">Synopsis/TypeAnalysis/Type.hh:87</a>: in class <a href="../Scopes/Synopsis/TypeAnalysis/Union.html" >Synopsis::TypeAnalysis::Union</a></li>
</ul></li>
<li>Referenced from:
<ul>
<li><a href="../Source/Synopsis/TypeAnalysis/Visitor.hh.html#36">Synopsis/TypeAnalysis/Visitor.hh:36</a>: in class <a href="../Scopes/Synopsis/TypeAnalysis/Visitor.html" >Synopsis::TypeAnalysis::Visitor</a></li>
</ul></li>
<li>Declarations:
<ul>
<li ><a href="../Source/Synopsis/TypeAnalysis/Type.hh.html#90">Synopsis/TypeAnalysis/Type.hh:90</a>: Constructor <a href="../Scopes/Synopsis/TypeAnalysis/Union.html#Union_lconst.std_mstring_A_r" >Union&#40;const std::string&amp;&#41;</a></li><li ><a href="../Source/Synopsis/TypeAnalysis/Type.hh.html#91">Synopsis/TypeAnalysis/Type.hh:91</a>: Member function <a href="../Scopes/Synopsis/TypeAnalysis/Union.html#accept_lVisitor_S_r" >accept&#40;Visitor*&#41;</a></li></ul>
</li>
</ul>
</div><div class="xref-name"><a id="Synopsis_mTypeAnalysis_mUnion_mUnion_lconst.std_mstring_A_r" /><h2 >Synopsis::TypeAnalysis::Union::Union&#40;const std::string&amp;&#41;</h2><ul>
<li>Defined at:
<ul>
<li><a href="../Source/Synopsis/TypeAnalysis/Type.hh.html#90">Synopsis/TypeAnalysis/Type.hh:90</a>: in class <a href="../Scopes/Synopsis/TypeAnalysis/Union.html" >Synopsis::TypeAnalysis::Union</a></li>
</ul></li>
</ul>
</div><div class="xref-name"><a id="Synopsis_mTypeAnalysis_mUnion_maccept_lVisitor_S_r" /><h2 >Member function Synopsis::TypeAnalysis::Union::accept&#40;Visitor*&#41;</h2><ul>
<li><a href="../Scopes/Synopsis/TypeAnalysis/Union.html#accept_lVisitor_S_r" >Documentation</a></li><li>Defined at:
<ul>
<li><a href="../Source/Synopsis/TypeAnalysis/Type.hh.html#91">Synopsis/TypeAnalysis/Type.hh:91</a>: in class <a href="../Scopes/Synopsis/TypeAnalysis/Union.html" >Synopsis::TypeAnalysis::Union</a></li>
</ul></li>
</ul>
</div><div class="xref-name"><a id="Synopsis_mTypeAnalysis_mVisitor" /><h2 >Class Synopsis::TypeAnalysis::Visitor</h2><ul>
<li><a href="../Scopes/Synopsis/TypeAnalysis/Visitor.html" >Documentation</a></li><li>Defined at:
<ul>
<li><a href="../Source/Synopsis/TypeAnalysis/Visitor.hh.html#27">Synopsis/TypeAnalysis/Visitor.hh:27</a>: in class <a href="../Scopes/Synopsis/TypeAnalysis/Visitor.html" >Synopsis::TypeAnalysis::Visitor</a></li>
</ul></li>
<li>Referenced from:
<ul>
<li><a href="../Source/Synopsis/TypeAnalysis/Type.hh.html#26">Synopsis/TypeAnalysis/Type.hh:26</a>: in class <a href="../Scopes/Synopsis/TypeAnalysis/Type.html" >Synopsis::TypeAnalysis::Type</a></li>
<li><a href="../Source/Synopsis/TypeAnalysis/Type.hh.html#39">Synopsis/TypeAnalysis/Type.hh:39</a>: in class <a href="../Scopes/Synopsis/TypeAnalysis/BuiltinType.html" >Synopsis::TypeAnalysis::BuiltinType</a></li>
<li><a href="../Source/Synopsis/TypeAnalysis/Type.hh.html#66">Synopsis/TypeAnalysis/Type.hh:66</a>: in class <a href="../Scopes/Synopsis/TypeAnalysis/Enum.html" >Synopsis::TypeAnalysis::Enum</a></li>
<li><a href="../Source/Synopsis/TypeAnalysis/Type.hh.html#81">Synopsis/TypeAnalysis/Type.hh:81</a>: in class <a href="../Scopes/Synopsis/TypeAnalysis/Class.html" >Synopsis::TypeAnalysis::Class</a></li>
<li><a href="../Source/Synopsis/TypeAnalysis/Type.hh.html#91">Synopsis/TypeAnalysis/Type.hh:91</a>: in class <a href="../Scopes/Synopsis/TypeAnalysis/Union.html" >Synopsis::TypeAnalysis::Union</a></li>
<li><a href="../Source/Synopsis/TypeAnalysis/Type.hh.html#103">Synopsis/TypeAnalysis/Type.hh:103</a>: in class <a href="../Scopes/Synopsis/TypeAnalysis/CVType.html" >Synopsis::TypeAnalysis::CVType</a></li>
<li><a href="../Source/Synopsis/TypeAnalysis/Type.hh.html#116">Synopsis/TypeAnalysis/Type.hh:116</a>: in class <a href="../Scopes/Synopsis/TypeAnalysis/Pointer.html" >Synopsis::TypeAnalysis::Pointer</a></li>
<li><a href="../Source/Synopsis/TypeAnalysis/Type.hh.html#126">Synopsis/TypeAnalysis/Type.hh:126</a>: in class <a href="../Scopes/Synopsis/TypeAnalysis/Reference.html" >Synopsis::TypeAnalysis::Reference</a></li>
<li><a href="../Source/Synopsis/TypeAnalysis/Type.hh.html#136">Synopsis/TypeAnalysis/Type.hh:136</a>: in class <a href="../Scopes/Synopsis/TypeAnalysis/Array.html" >Synopsis::TypeAnalysis::Array</a></li>
<li><a href="../Source/Synopsis/TypeAnalysis/Type.hh.html#146">Synopsis/TypeAnalysis/Type.hh:146</a>: in class <a href="../Scopes/Synopsis/TypeAnalysis/Function.html" >Synopsis::TypeAnalysis::Function</a></li>
<li><a href="../Source/Synopsis/TypeAnalysis/Type.hh.html#156">Synopsis/TypeAnalysis/Type.hh:156</a>: in class <a href="../Scopes/Synopsis/TypeAnalysis/PointerToMember.html" >Synopsis::TypeAnalysis::PointerToMember</a></li>
</ul></li>
<li>Declarations:
<ul>
<li ><a href="../Source/Synopsis/TypeAnalysis/Visitor.hh.html#30">Synopsis/TypeAnalysis/Visitor.hh:30</a>: Destructor <a href="../Scopes/Synopsis/TypeAnalysis/Visitor.html#_tVisitor_l_r" >~Visitor&#40;&#41;</a></li><li ><a href="../Source/Synopsis/TypeAnalysis/Visitor.hh.html#32">Synopsis/TypeAnalysis/Visitor.hh:32</a>: Member function <a href="../Scopes/Synopsis/TypeAnalysis/Visitor.html#visit_lType_S_r" >visit&#40;Type*&#41;</a></li><li ><a href="../Source/Synopsis/TypeAnalysis/Visitor.hh.html#33">Synopsis/TypeAnalysis/Visitor.hh:33</a>: Member function <a href="../Scopes/Synopsis/TypeAnalysis/Visitor.html#visit_lBuiltinType_S_r" >visit&#40;BuiltinType*&#41;</a></li><li ><a href="../Source/Synopsis/TypeAnalysis/Visitor.hh.html#34">Synopsis/TypeAnalysis/Visitor.hh:34</a>: Member function <a href="../Scopes/Synopsis/TypeAnalysis/Visitor.html#visit_lEnum_S_r" >visit&#40;Enum*&#41;</a></li><li ><a href="../Source/Synopsis/TypeAnalysis/Visitor.hh.html#35">Synopsis/TypeAnalysis/Visitor.hh:35</a>: Member function <a href="../Scopes/Synopsis/TypeAnalysis/Visitor.html#visit_lClass_S_r" >visit&#40;Class*&#41;</a></li><li ><a href="../Source/Synopsis/TypeAnalysis/Visitor.hh.html#36">Synopsis/TypeAnalysis/Visitor.hh:36</a>: Member function <a href="../Scopes/Synopsis/TypeAnalysis/Visitor.html#visit_lUnion_S_r" >visit&#40;Union*&#41;</a></li><li ><a href="../Source/Synopsis/TypeAnalysis/Visitor.hh.html#38">Synopsis/TypeAnalysis/Visitor.hh:38</a>: Member function <a href="../Scopes/Synopsis/TypeAnalysis/Visitor.html#visit_lCVType_S_r" >visit&#40;CVType*&#41;</a></li><li ><a href="../Source/Synopsis/TypeAnalysis/Visitor.hh.html#39">Synopsis/TypeAnalysis/Visitor.hh:39</a>: Member function <a href="../Scopes/Synopsis/TypeAnalysis/Visitor.html#visit_lPointer_S_r" >visit&#40;Pointer*&#41;</a></li><li ><a href="../Source/Synopsis/TypeAnalysis/Visitor.hh.html#40">Synopsis/TypeAnalysis/Visitor.hh:40</a>: Member function <a href="../Scopes/Synopsis/TypeAnalysis/Visitor.html#visit_lReference_S_r" >visit&#40;Reference*&#41;</a></li><li ><a href="../Source/Synopsis/TypeAnalysis/Visitor.hh.html#41">Synopsis/TypeAnalysis/Visitor.hh:41</a>: Member function <a href="../Scopes/Synopsis/TypeAnalysis/Visitor.html#visit_lArray_S_r" >visit&#40;Array*&#41;</a></li><li ><a href="../Source/Synopsis/TypeAnalysis/Visitor.hh.html#42">Synopsis/TypeAnalysis/Visitor.hh:42</a>: Member function <a href="../Scopes/Synopsis/TypeAnalysis/Visitor.html#visit_lFunction_S_r" >visit&#40;Function*&#41;</a></li><li ><a href="../Source/Synopsis/TypeAnalysis/Visitor.hh.html#43">Synopsis/TypeAnalysis/Visitor.hh:43</a>: Member function <a href="../Scopes/Synopsis/TypeAnalysis/Visitor.html#visit_lPointerToMember_S_r" >visit&#40;PointerToMember*&#41;</a></li></ul>
</li>
</ul>
</div><div class="xref-name"><a id="Synopsis_mTypeAnalysis_mVisitor_mvisit_lArray_S_r" /><h2 >Member function Synopsis::TypeAnalysis::Visitor::visit&#40;Array*&#41;</h2><ul>
<li><a href="../Scopes/Synopsis/TypeAnalysis/Visitor.html#visit_lArray_S_r" >Documentation</a></li><li>Defined at:
<ul>
<li><a href="../Source/Synopsis/TypeAnalysis/Visitor.hh.html#41">Synopsis/TypeAnalysis/Visitor.hh:41</a>: in class <a href="../Scopes/Synopsis/TypeAnalysis/Visitor.html" >Synopsis::TypeAnalysis::Visitor</a></li>
</ul></li>
</ul>
</div><div class="xref-name"><a id="Synopsis_mTypeAnalysis_mVisitor_mvisit_lBuiltinType_S_r" /><h2 >Member function Synopsis::TypeAnalysis::Visitor::visit&#40;BuiltinType*&#41;</h2><ul>
<li><a href="../Scopes/Synopsis/TypeAnalysis/Visitor.html#visit_lBuiltinType_S_r" >Documentation</a></li><li>Defined at:
<ul>
<li><a href="../Source/Synopsis/TypeAnalysis/Visitor.hh.html#33">Synopsis/TypeAnalysis/Visitor.hh:33</a>: in class <a href="../Scopes/Synopsis/TypeAnalysis/Visitor.html" >Synopsis::TypeAnalysis::Visitor</a></li>
</ul></li>
</ul>
</div><div class="xref-name"><a id="Synopsis_mTypeAnalysis_mVisitor_mvisit_lCVType_S_r" /><h2 >Member function Synopsis::TypeAnalysis::Visitor::visit&#40;CVType*&#41;</h2><ul>
<li><a href="../Scopes/Synopsis/TypeAnalysis/Visitor.html#visit_lCVType_S_r" >Documentation</a></li><li>Defined at:
<ul>
<li><a href="../Source/Synopsis/TypeAnalysis/Visitor.hh.html#38">Synopsis/TypeAnalysis/Visitor.hh:38</a>: in class <a href="../Scopes/Synopsis/TypeAnalysis/Visitor.html" >Synopsis::TypeAnalysis::Visitor</a></li>
</ul></li>
</ul>
</div><div class="xref-name"><a id="Synopsis_mTypeAnalysis_mVisitor_mvisit_lClass_S_r" /><h2 >Member function Synopsis::TypeAnalysis::Visitor::visit&#40;Class*&#41;</h2><ul>
<li><a href="../Scopes/Synopsis/TypeAnalysis/Visitor.html#visit_lClass_S_r" >Documentation</a></li><li>Defined at:
<ul>
<li><a href="../Source/Synopsis/TypeAnalysis/Visitor.hh.html#35">Synopsis/TypeAnalysis/Visitor.hh:35</a>: in class <a href="../Scopes/Synopsis/TypeAnalysis/Visitor.html" >Synopsis::TypeAnalysis::Visitor</a></li>
</ul></li>
</ul>
</div><div class="xref-name"><a id="Synopsis_mTypeAnalysis_mVisitor_mvisit_lEnum_S_r" /><h2 >Member function Synopsis::TypeAnalysis::Visitor::visit&#40;Enum*&#41;</h2><ul>
<li><a href="../Scopes/Synopsis/TypeAnalysis/Visitor.html#visit_lEnum_S_r" >Documentation</a></li><li>Defined at:
<ul>
<li><a href="../Source/Synopsis/TypeAnalysis/Visitor.hh.html#34">Synopsis/TypeAnalysis/Visitor.hh:34</a>: in class <a href="../Scopes/Synopsis/TypeAnalysis/Visitor.html" >Synopsis::TypeAnalysis::Visitor</a></li>
</ul></li>
</ul>
</div><div class="xref-name"><a id="Synopsis_mTypeAnalysis_mVisitor_mvisit_lFunction_S_r" /><h2 >Member function Synopsis::TypeAnalysis::Visitor::visit&#40;Function*&#41;</h2><ul>
<li><a href="../Scopes/Synopsis/TypeAnalysis/Visitor.html#visit_lFunction_S_r" >Documentation</a></li><li>Defined at:
<ul>
<li><a href="../Source/Synopsis/TypeAnalysis/Visitor.hh.html#42">Synopsis/TypeAnalysis/Visitor.hh:42</a>: in class <a href="../Scopes/Synopsis/TypeAnalysis/Visitor.html" >Synopsis::TypeAnalysis::Visitor</a></li>
</ul></li>
</ul>
</div><div class="xref-name"><a id="Synopsis_mTypeAnalysis_mVisitor_mvisit_lPointer_S_r" /><h2 >Member function Synopsis::TypeAnalysis::Visitor::visit&#40;Pointer*&#41;</h2><ul>
<li><a href="../Scopes/Synopsis/TypeAnalysis/Visitor.html#visit_lPointer_S_r" >Documentation</a></li><li>Defined at:
<ul>
<li><a href="../Source/Synopsis/TypeAnalysis/Visitor.hh.html#39">Synopsis/TypeAnalysis/Visitor.hh:39</a>: in class <a href="../Scopes/Synopsis/TypeAnalysis/Visitor.html" >Synopsis::TypeAnalysis::Visitor</a></li>
</ul></li>
</ul>
</div><div class="xref-name"><a id="Synopsis_mTypeAnalysis_mVisitor_mvisit_lPointerToMember_S_r" /><h2 >Member function Synopsis::TypeAnalysis::Visitor::visit&#40;PointerToMember*&#41;</h2><ul>
<li><a href="../Scopes/Synopsis/TypeAnalysis/Visitor.html#visit_lPointerToMember_S_r" >Documentation</a></li><li>Defined at:
<ul>
<li><a href="../Source/Synopsis/TypeAnalysis/Visitor.hh.html#43">Synopsis/TypeAnalysis/Visitor.hh:43</a>: in class <a href="../Scopes/Synopsis/TypeAnalysis/Visitor.html" >Synopsis::TypeAnalysis::Visitor</a></li>
</ul></li>
</ul>
</div><div class="xref-name"><a id="Synopsis_mTypeAnalysis_mVisitor_mvisit_lReference_S_r" /><h2 >Member function Synopsis::TypeAnalysis::Visitor::visit&#40;Reference*&#41;</h2><ul>
<li><a href="../Scopes/Synopsis/TypeAnalysis/Visitor.html#visit_lReference_S_r" >Documentation</a></li><li>Defined at:
<ul>
<li><a href="../Source/Synopsis/TypeAnalysis/Visitor.hh.html#40">Synopsis/TypeAnalysis/Visitor.hh:40</a>: in class <a href="../Scopes/Synopsis/TypeAnalysis/Visitor.html" >Synopsis::TypeAnalysis::Visitor</a></li>
</ul></li>
</ul>
</div><div class="xref-name"><a id="Synopsis_mTypeAnalysis_mVisitor_mvisit_lType_S_r" /><h2 >Member function Synopsis::TypeAnalysis::Visitor::visit&#40;Type*&#41;</h2><ul>
<li><a href="../Scopes/Synopsis/TypeAnalysis/Visitor.html#visit_lType_S_r" >Documentation</a></li><li>Defined at:
<ul>
<li><a href="../Source/Synopsis/TypeAnalysis/Visitor.hh.html#32">Synopsis/TypeAnalysis/Visitor.hh:32</a>: in class <a href="../Scopes/Synopsis/TypeAnalysis/Visitor.html" >Synopsis::TypeAnalysis::Visitor</a></li>
</ul></li>
<li>Called from:
<ul>
<li><a href="../Source/Synopsis/TypeAnalysis/Type.hh.html#39">Synopsis/TypeAnalysis/Type.hh:39</a>: in member function <a href="../Scopes/Synopsis/TypeAnalysis/BuiltinType.html#accept_lVisitor_S_r" >Synopsis::TypeAnalysis::BuiltinType::accept&#40;Visitor*&#41;</a></li>
<li><a href="../Source/Synopsis/TypeAnalysis/Type.hh.html#66">Synopsis/TypeAnalysis/Type.hh:66</a>: in member function <a href="../Scopes/Synopsis/TypeAnalysis/Enum.html#accept_lVisitor_S_r" >Synopsis::TypeAnalysis::Enum::accept&#40;Visitor*&#41;</a></li>
<li><a href="../Source/Synopsis/TypeAnalysis/Type.hh.html#81">Synopsis/TypeAnalysis/Type.hh:81</a>: in member function <a href="../Scopes/Synopsis/TypeAnalysis/Class.html#accept_lVisitor_S_r" >Synopsis::TypeAnalysis::Class::accept&#40;Visitor*&#41;</a></li>
<li><a href="../Source/Synopsis/TypeAnalysis/Type.hh.html#91">Synopsis/TypeAnalysis/Type.hh:91</a>: in member function <a href="../Scopes/Synopsis/TypeAnalysis/Union.html#accept_lVisitor_S_r" >Synopsis::TypeAnalysis::Union::accept&#40;Visitor*&#41;</a></li>
<li><a href="../Source/Synopsis/TypeAnalysis/Type.hh.html#103">Synopsis/TypeAnalysis/Type.hh:103</a>: in member function <a href="../Scopes/Synopsis/TypeAnalysis/CVType.html#accept_lVisitor_S_r" >Synopsis::TypeAnalysis::CVType::accept&#40;Visitor*&#41;</a></li>
<li><a href="../Source/Synopsis/TypeAnalysis/Type.hh.html#116">Synopsis/TypeAnalysis/Type.hh:116</a>: in member function <a href="../Scopes/Synopsis/TypeAnalysis/Pointer.html#accept_lVisitor_S_r" >Synopsis::TypeAnalysis::Pointer::accept&#40;Visitor*&#41;</a></li>
<li><a href="../Source/Synopsis/TypeAnalysis/Type.hh.html#126">Synopsis/TypeAnalysis/Type.hh:126</a>: in member function <a href="../Scopes/Synopsis/TypeAnalysis/Reference.html#accept_lVisitor_S_r" >Synopsis::TypeAnalysis::Reference::accept&#40;Visitor*&#41;</a></li>
<li><a href="../Source/Synopsis/TypeAnalysis/Type.hh.html#136">Synopsis/TypeAnalysis/Type.hh:136</a>: in member function <a href="../Scopes/Synopsis/TypeAnalysis/Array.html#accept_lVisitor_S_r" >Synopsis::TypeAnalysis::Array::accept&#40;Visitor*&#41;</a></li>
<li><a href="../Source/Synopsis/TypeAnalysis/Type.hh.html#146">Synopsis/TypeAnalysis/Type.hh:146</a>: in member function <a href="../Scopes/Synopsis/TypeAnalysis/Function.html#accept_lVisitor_S_r" >Synopsis::TypeAnalysis::Function::accept&#40;Visitor*&#41;</a></li>
<li><a href="../Source/Synopsis/TypeAnalysis/Type.hh.html#156">Synopsis/TypeAnalysis/Type.hh:156</a>: in member function <a href="../Scopes/Synopsis/TypeAnalysis/PointerToMember.html#accept_lVisitor_S_r" >Synopsis::TypeAnalysis::PointerToMember::accept&#40;Visitor*&#41;</a></li>
</ul></li>
</ul>
</div><div class="xref-name"><a id="Synopsis_mTypeAnalysis_mVisitor_mvisit_lUnion_S_r" /><h2 >Member function Synopsis::TypeAnalysis::Visitor::visit&#40;Union*&#41;</h2><ul>
<li><a href="../Scopes/Synopsis/TypeAnalysis/Visitor.html#visit_lUnion_S_r" >Documentation</a></li><li>Defined at:
<ul>
<li><a href="../Source/Synopsis/TypeAnalysis/Visitor.hh.html#36">Synopsis/TypeAnalysis/Visitor.hh:36</a>: in class <a href="../Scopes/Synopsis/TypeAnalysis/Visitor.html" >Synopsis::TypeAnalysis::Visitor</a></li>
</ul></li>
</ul>
</div><div class="xref-name"><a id="Synopsis_mTypeAnalysis_mVisitor_m_tVisitor_l_r" /><h2 >Destructor Synopsis::TypeAnalysis::Visitor::~Visitor&#40;&#41;</h2><ul>
<li><a href="../Scopes/Synopsis/TypeAnalysis/Visitor.html#_tVisitor_l_r" >Documentation</a></li><li>Defined at:
<ul>
<li><a href="../Source/Synopsis/TypeAnalysis/Visitor.hh.html#30">Synopsis/TypeAnalysis/Visitor.hh:30</a>: in class <a href="../Scopes/Synopsis/TypeAnalysis/Visitor.html" >Synopsis::TypeAnalysis::Visitor</a></li>
</ul></li>
</ul>
</div><div class="xref-name"><a id="Synopsis_mTypeAnalysis_mWCHAR" /><h2 >Namespace variable Synopsis::TypeAnalysis::WCHAR</h2><ul>
<li><a href="../Scopes/Synopsis/TypeAnalysis.html#WCHAR" >Documentation</a></li><li>Defined at:
<ul>
<li><a href="../Source/Synopsis/TypeAnalysis/Type.hh.html#47">Synopsis/TypeAnalysis/Type.hh:47</a>: in namespace <a href="../Scopes/Synopsis/TypeAnalysis.html" >Synopsis::TypeAnalysis</a></li>
</ul></li>
</ul>
</div><div class="xref-name"><a id="Synopsis_mTypeAnalysis_mevaluate_const_lconst.SymbolLookup_mScope_S_cconst.PTree_mNode_S_clong_A_r" /><h2 >Synopsis::TypeAnalysis::evaluate_const&#40;const SymbolLookup::Scope*&#44;const PTree::Node*&#44;long&amp;&#41;</h2><ul>
<li>Defined at:
<ul>
<li><a href="../Source/Synopsis/TypeAnalysis/ConstEvaluator.hh.html#45">Synopsis/TypeAnalysis/ConstEvaluator.hh:45</a>: in namespace <a href="../Scopes/Synopsis/TypeAnalysis.html" >Synopsis::TypeAnalysis</a></li>
</ul></li>
</ul>
</div><div class="xref-name"><a id="Synopsis_mTypeAnalysis_mresolve_funcall_lconst.PTree_mFuncallExpr_S_cconst.SymbolLookup_mScope_S_r" /><h2 >Synopsis::TypeAnalysis::resolve_funcall&#40;const PTree::FuncallExpr*&#44;const SymbolLookup::Scope*&#41;</h2><ul>
<li>Defined at:
<ul>
<li><a href="../Source/Synopsis/TypeAnalysis/OverloadResolver.hh.html#19">Synopsis/TypeAnalysis/OverloadResolver.hh:19</a>: in namespace <a href="../Scopes/Synopsis/TypeAnalysis.html" >Synopsis::TypeAnalysis</a></li>
</ul></li>
</ul>
</div><div class="xref-name"><a id="Synopsis_mTypeAnalysis_mtype_of_lconst.PTree_mNode_S_cconst.SymbolLookup_mScope_S_r" /><h2 >Synopsis::TypeAnalysis::type_of&#40;const PTree::Node*&#44;const SymbolLookup::Scope*&#41;</h2><ul>
<li>Defined at:
<ul>
<li><a href="../Source/Synopsis/TypeAnalysis/TypeEvaluator.hh.html#57">Synopsis/TypeAnalysis/TypeEvaluator.hh:57</a>: in namespace <a href="../Scopes/Synopsis/TypeAnalysis.html" >Synopsis::TypeAnalysis</a></li>
</ul></li>
</ul>
</div><div class="xref-name"><a id="Synopsis_mis_blank_lchar_r" /><h2 >Function Synopsis::is_blank&#40;char&#41;</h2><ul>
<li><a href="../Scopes/Synopsis.html#is_blank_lchar_r" >Documentation</a></li><li>Defined at:
<ul>
<li><a href="../Source/Synopsis/Lexer.hh.html#115">Synopsis/Lexer.hh:115</a>: in namespace <a href="../Scopes/Synopsis.html" >Synopsis</a></li>
</ul></li>
</ul>
</div><div class="xref-name"><a id="Synopsis_mis_digit_lchar_r" /><h2 >Function Synopsis::is_digit&#40;char&#41;</h2><ul>
<li><a href="../Scopes/Synopsis.html#is_digit_lchar_r" >Documentation</a></li><li>Defined at:
<ul>
<li><a href="../Source/Synopsis/Lexer.hh.html#125">Synopsis/Lexer.hh:125</a>: in namespace <a href="../Scopes/Synopsis.html" >Synopsis</a></li>
</ul></li>
<li>Called from:
<ul>
<li><a href="../Source/Synopsis/Lexer.hh.html#133">Synopsis/Lexer.hh:133</a>: in function <a href="../Scopes/Synopsis.html#is_hexdigit_lchar_r" >Synopsis::is_hexdigit&#40;char&#41;</a></li>
</ul></li>
</ul>
</div>
<div class="logo">Generated on Thu Apr 16 16:28:05 2009 by 
<br/>
<a href="http://synopsis.fresco.org" target="_blank"><img src="../synopsis.png" alt="logo"/> synopsis</a> (version devel)</div>
</body>
</html>
